Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rb_binding_t Struct Reference

`#include <vm_core.h>`

## Data Fields
VALUE | env
VALUE | path
unsigned short | first_lineno

## Detailed Description

Definition at line 692 of file vm_core.h.

## Field Documentation

VALUE rb_binding_t::env

Definition at line 693 of file vm_core.h.

Referenced by binding_dup(), binding_mark(), eval_string_with_cref(), proc_binding(), rb_binding_new_with_cfp(), toplevel_context(), and vm_set_main_stack().

unsigned short rb_binding_t::first_lineno

Definition at line 695 of file vm_core.h.

Referenced by binding_dup(), eval_string_with_cref(), proc_binding(), and rb_binding_new_with_cfp().

VALUE rb_binding_t::path

Definition at line 694 of file vm_core.h.

Referenced by binding_dup(), binding_mark(), eval_string_with_cref(), proc_binding(), and rb_binding_new_with_cfp().

The documentation for this struct was generated from the following file:

- vm_core.h